import pytest

from cds_configuration_service.api_clients.configuration_service_health import ConfigurationServiceHealthApi
from cds_configuration_service.tests.plugins.ownership_plugin import SGUID


@pytest.mark.sguid(SGUID.psc_content_mgmt_app_cds_configuration_service)
class TestHealthCheck:

    def test_health_check(self, csr_auth_session):
        health_api = ConfigurationServiceHealthApi(csr_auth_session.session)
        health_api.get_health_check()
