from setuptools import setup
setup(
    name='cds-configuration-service',
    version='1.0.0',
    description='CDS Configuration Service API clients and integration tests',
    packages=[
        'cds_configuration_service',
        'cds_configuration_service/api_clients'
    ],
    classifiers=[
        'Programming Language :: Python :: 3.9',
        'Topic :: Software Development :: Testing',
        'Framework :: Pytest'
    ],
    install_requires=[
        'csp_cbc_auth>=0.4.7',
        'psc-auth>=2.0.12',
        'pyOpenSSL',
        'requests>=2.19.1',
        'requests-toolbelt>=0.9.1',
        'urllib3',
        'tenacity'
    ],
    package_data={'cds_configuration_service': ['py.typed']},
    include_package_data=True,
    zip_safe=False
)
